:root {
    --primary: #2563eb;
    --primary-dark: #1d4ed8;
    --white: #ffffff;
    --text-dark: #1e293b;
}

body, html {
    height: 100%;
    margin: 0;
    font-family: 'Krub', sans-serif;
}

.login-wrapper {
    background: linear-gradient(135deg, #1e293b 0%, #2563eb 100%);
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-card {
    background: var(--white);
    width: 100%;
    max-width: 400px;
    padding: 40px;
    border-radius: 12px;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}

.login-header {
    text-align: center;
}

.login-logo {
    width: 180px;      
    height: auto;     
    margin-bottom: 5px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}


.login-header p {
    color: #64748b;
    font-size: 0.9rem;
    margin-bottom: 20px;
}

.alert-error {
    background: #fee2e2;
    color: #ef4444;
    padding: 10px;
    border-radius: 6px;
    margin-bottom: 20px;
    font-size: 0.85rem;
    text-align: center;
    font-weight: 600;
}

.input-field {
    margin-bottom: 20px;
}

.input-field label {
    display: block;
    margin-bottom: 8px;
    font-weight: 600;
    color: var(--text-dark);
}

.input-field input {
    width: 100%;
    padding: 12px;
    border: 1px solid #e2e8f0;
    border-radius: 8px;
    box-sizing: border-box;
    font-size: 1rem;
    transition: 0.3s;
}

.input-field input:focus {
    outline: none;
    border-color: var(--primary);
    box-shadow: 0 0 0 3px rgba(37, 99, 235, 0.1);
}

.btn-submit {
    width: 100%;
    background: var(--primary);
    color: white;
    padding: 14px;
    border: none;
    border-radius: 8px;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.btn-submit:hover {
    background: var(--primary-dark);
    transform: translateY(-2px);
}